Index: orxonox/trunk/src/util/track/pilot_node.cc
===================================================================
--- orxonox/trunk/src/util/track/pilot_node.cc	(revision 4834)
+++ orxonox/trunk/src/util/track/pilot_node.cc	(revision 4836)
@@ -26,5 +26,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 PilotNode::PilotNode ()
@@ -39,5 +39,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 */
 PilotNode::~PilotNode ()
@@ -47,6 +47,6 @@
 
 /**
-    \brief ticks the node
-    \param time the time about whitch to tick                                           \
+  *  ticks the node
+  * @param time the time about whitch to tick                                           \
 */
 void PilotNode::tick(float time)
@@ -57,6 +57,6 @@
 
 /**
-   \brief action if player moves
-   \param time the timeslice since the last frame
+ *  action if player moves
+ * @param time the timeslice since the last frame
 */
 void PilotNode::move (float time)
@@ -98,6 +98,6 @@
 
 /**
-   \brief handles events
-   \param event the event that occured
+ *  handles events
+ * @param event the event that occured
 */
 void PilotNode::process( const Event &event)
Index: orxonox/trunk/src/util/track/pilot_node.h
===================================================================
--- orxonox/trunk/src/util/track/pilot_node.h	(revision 4834)
+++ orxonox/trunk/src/util/track/pilot_node.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file pilot_node.h
-    \brief Definition of a PilotNode
+  *  Definition of a PilotNode
 */
 
Index: orxonox/trunk/src/util/track/track_manager.cc
===================================================================
--- orxonox/trunk/src/util/track/track_manager.cc	(revision 4834)
+++ orxonox/trunk/src/util/track/track_manager.cc	(revision 4836)
@@ -36,5 +36,5 @@
 
 /**
-   \brief initializes a TrackElement (sets the default values)
+ *  initializes a TrackElement (sets the default values)
 */
 TrackElement::TrackElement()
@@ -66,6 +66,6 @@
 
 /**
-    \brief destroys all alocated memory)
-    \todo eventually when deleting a TrackElement you would not like to delete all its preceding TrackElements
+  *  destroys all alocated memory)
+    @todo eventually when deleting a TrackElement you would not like to delete all its preceding TrackElements
 */
 TrackElement::~TrackElement()
@@ -91,7 +91,7 @@
 
 /**
-   \brief Searches through all the TrackElements for trackID.
-   \param trackID The ID to search for.
-   \returns The TrackElement if Found, NULL otherwise.
+ *  Searches through all the TrackElements for trackID.
+ * @param trackID The ID to search for.
+ * @returns The TrackElement if Found, NULL otherwise.
 */
 TrackElement* TrackElement::findByID(unsigned int trackID)
@@ -120,7 +120,7 @@
 
 /**
-   \brief Searches through all the TrackElements for a trackName
-   \param trackName The name to search for.
-   \returns The TrackElement if Found, NULL otherwise.
+ *  Searches through all the TrackElements for a trackName
+ * @param trackName The name to search for.
+ * @returns The TrackElement if Found, NULL otherwise.
 */
 TrackElement* TrackElement::findByName(const char* trackName)
@@ -148,6 +148,6 @@
 
 /**
-   \brief checks if there are any BackLoops in the Track
-   \returns true if NO loop was found, false Otherwise
+ *  checks if there are any BackLoops in the Track
+ * @returns true if NO loop was found, false Otherwise
    You actually have to act on false!!
 */
@@ -164,7 +164,7 @@
 
 /**
-   \brief checks if there are any BackLoops in the Track.
-   \param trackList A list of stored tracks, to search in.
-   \returns true if NO loop was found, false Otherwise
+ *  checks if there are any BackLoops in the Track.
+ * @param trackList A list of stored tracks, to search in.
+ * @returns true if NO loop was found, false Otherwise
    You actually have to act on false!!
 */
@@ -192,6 +192,6 @@
 
 /**
-   \param childCount which child to return
-   \returns the n-the children (starting at 0).
+ * @param childCount which child to return
+ * @returns the n-the children (starting at 0).
    Be aware, that when the trackElement has no Children, NULL will be returned
 */
@@ -214,5 +214,5 @@
 
 /**
-   \brief prints out debug information about this TrackElement
+ *  prints out debug information about this TrackElement
 */
 void TrackElement::debug() const
@@ -260,7 +260,7 @@
 
 /**
-   \brief CONDITION that chooses the first child for the decision (static)
-   \param nothing Nothing in this function
-   \returns the chosen child
+ *  CONDITION that chooses the first child for the decision (static)
+ * @param nothing Nothing in this function
+ * @returns the chosen child
 */
 int TrackElement::lowest(const void* nothing) const
@@ -270,7 +270,7 @@
 
 /**
-   \brief CONDITION that chooses the last child for the decision (static)
-   \param nothing Nothing in this function
-   \returns the chosen child
+ *  CONDITION that chooses the last child for the decision (static)
+ * @param nothing Nothing in this function
+ * @returns the chosen child
 */
 int TrackElement::highest(const void* nothing) const
@@ -280,7 +280,7 @@
 
 /**
-   \brief CONDITION that chooses a random child for the decision (static)
-   \param nothing Nothing in this function
-   \returns the chosen child
+ *  CONDITION that chooses a random child for the decision (static)
+ * @param nothing Nothing in this function
+ * @returns the chosen child
 */
 int TrackElement::random(const void* nothing) const
@@ -294,8 +294,8 @@
 
 /**
-   \brief CONDITION that chooses child 0, if the node(probably Player)
+ *  CONDITION that chooses child 0, if the node(probably Player)
    is left of its parent (z<0)) and 1/right otherwise.
-   \param node The node to act upon.
-   \returns the chosen child
+ * @param node The node to act upon.
+ * @returns the chosen child
 */
 int TrackElement::leftRight(const void* node) const
@@ -311,7 +311,7 @@
 
 /**
-   \brief CONDITION that chooses the child, that has the nearest distance to the node (probably player).
-   \param node The node to act upon.
-   \returns the chosen child
+ *  CONDITION that chooses the child, that has the nearest distance to the node (probably player).
+ * @param node The node to act upon.
+ * @returns the chosen child
 
    This is rather dangerous, because one must carefully set the points on the curve.
@@ -354,5 +354,5 @@
 ////////////////////////
 /**
-   \brief standard constructor
+ *  standard constructor
 
 */
@@ -391,6 +391,6 @@
 
 /**
-   \brief loads a trackElement from a TiXmlElement
-   \param root the TiXmlElement to load the Data from
+ *  loads a trackElement from a TiXmlElement
+ * @param root the TiXmlElement to load the Data from
 */
 bool TrackManager::loadParams(const TiXmlElement* root)
@@ -449,5 +449,5 @@
 
 /**
-   \brief standard destructor
+ *  standard destructor
 */
 TrackManager::~TrackManager()
@@ -469,7 +469,7 @@
 // INITIALIZE //
 /**
-   \brief reserves Space for childCount children
-   \param childCount The Count of children to make space for.
-   \param trackElem The TrackElement to appy this to. (if NULL chose this->currentTrackElement)
+ *  reserves Space for childCount children
+ * @param childCount The Count of children to make space for.
+ * @param trackElem The TrackElement to appy this to. (if NULL chose this->currentTrackElement)
 */
 void TrackManager::initChildren(unsigned int childCount, TrackElement* trackElem)
@@ -513,6 +513,6 @@
 
 /**
-   \brief Sets the trackID we are working on.
-   \param trackID the trackID we are working on
+ *  Sets the trackID we are working on.
+ * @param trackID the trackID we are working on
 */
 void TrackManager::workOn(unsigned int trackID)
@@ -527,6 +527,6 @@
 
 /**
-   \brief Sets the TrackElement to work on
-   \param trackName the Name of the Track to work on
+ *  Sets the TrackElement to work on
+ * @param trackName the Name of the Track to work on
 */
 void TrackManager::workOnS(const char* trackName)
@@ -541,9 +541,9 @@
 
 /**
-   \brief Sets the Type of the Curve
-   \param curveType The Type to set
-   \param trackElem the TrackElement that should get a new Curve.
-
-   \brief this will possibly get obsolete during the process.
+ *  Sets the Type of the Curve
+ * @param curveType The Type to set
+ * @param trackElem the TrackElement that should get a new Curve.
+
+ *  this will possibly get obsolete during the process.
 */
 void TrackManager::setCurveType(CurveType curveType, TrackElement* trackElem)
@@ -564,5 +564,5 @@
 
 /**
-   \param duration the duration of the TrackElement
+ * @param duration the duration of the TrackElement
    \see void TrackManager::setDuration(float duration, TrackElement* trackElem)
 */
@@ -573,7 +573,7 @@
 
 /**
-   \brief Sets the duration of the current path in seconds.
-   \param duration The duration in seconds.
-   \param trackElem The TrackElement to apply this to.
+ *  Sets the duration of the current path in seconds.
+ * @param duration The duration in seconds.
+ * @param trackElem The TrackElement to apply this to.
 */
 void TrackManager::setDuration(float duration, TrackElement* trackElem)
@@ -587,9 +587,9 @@
 
 /**
-   \brief adds a point to trackElem
-   \param x x coord
-   \param y y coord
-   \param z z coord
-   \param trackElem The TrackElement to add the Point to
+ *  adds a point to trackElem
+ * @param x x coord
+ * @param y y coord
+ * @param z z coord
+ * @param trackElem The TrackElement to add the Point to
 */
 void TrackManager::addPoint(float x, float y, float z)
@@ -599,7 +599,7 @@
 
 /**
-   \brief adds a point to trackElem
-   \param newPoint The point to add.
-   \param trackElem The TrackElement to add the Point to
+ *  adds a point to trackElem
+ * @param newPoint The point to add.
+ * @param trackElem The TrackElement to add the Point to
 */
 void TrackManager::addPointV(Vector newPoint, TrackElement* trackElem)
@@ -618,8 +618,8 @@
 
 /**
-   \brief adds a new Hot Point
-   \param x: the x coordinate of the hotpoint
-   \param y: the y coordinate of the hotpoint
-   \param z: the z coordinate of the hotpoint
+ *  adds a new Hot Point
+ * @param x: the x coordinate of the hotpoint
+ * @param y: the y coordinate of the hotpoint
+ * @param z: the z coordinate of the hotpoint
    \see int TrackManager::addHotPointV(Vector newPoint, TrackElement* trackElem)
 */
@@ -630,8 +630,8 @@
 
 /**
-   \brief adds save/splitpoint.
-   \param newPoint The point to add.
-   \param trackElem if supplied it will add a hotpoint on this TrackElement
-   \returns A Pointer to a newly appended Curve
+ *  adds save/splitpoint.
+ * @param newPoint The point to add.
+ * @param trackElem if supplied it will add a hotpoint on this TrackElement
+ * @returns A Pointer to a newly appended Curve
 */
 int TrackManager::addHotPointV(Vector newPoint, TrackElement* trackElem)
@@ -646,5 +646,5 @@
     }
 
-  // \todo HotPoint Handling.
+  // @todo HotPoint Handling.
   trackElem->curve->addNode(newPoint);
   trackElem->nodeCount++;
@@ -653,5 +653,5 @@
 
 /**
-   \todo this must be better
+   @todo this must be better
 */
 void TrackManager::setSavePointS(const char* nextElementName)
@@ -663,7 +663,7 @@
 
 /**
-   \brief Sets the last HotPoint into a savePoint.
-   \param trackElem The TrackElement to appy this to. (if NULL chose this->currentTrackElement)
-   \returns A Pointer to a newly appended Curve
+ *  Sets the last HotPoint into a savePoint.
+ * @param trackElem The TrackElement to appy this to. (if NULL chose this->currentTrackElement)
+ * @returns A Pointer to a newly appended Curve
 
    If no HotPoint was defined the last added Point will be rendered into a savePoint. \n
@@ -688,6 +688,6 @@
 
 /**
-   \brief adds some interessting non-linear movments through the level.
-   \param count The Count of children the fork will produce
+ *  adds some interessting non-linear movments through the level.
+ * @param count The Count of children the fork will produce
 
    If no HotPoint was defined the last added Point will be rendered into a fork. \n
@@ -709,6 +709,6 @@
 
 /**
-   \param count how many children to produce
-   \param ... the information on the children (these are the Stings of their names
+ * @param count how many children to produce
+ * @param ... the information on the children (these are the Stings of their names
    \see TrackManager::fork(unsigned int count, ...)
 
@@ -747,9 +747,9 @@
 
 /**
-   \brief adds some interessting non-linear movments through the level.
-   \param count The Count of childrens the current HotPoint will have.
-   \param trackIDs A Pointer to an Array of ints which will hold the trackID's (the user will have to reserve space for this).
-   \param trackNames the names for the tracks as a char-arrey-array
-   \param trackElem The TrackElement to appy this to. (if NULL choose this->currentTrackElement)
+ *  adds some interessting non-linear movments through the level.
+ * @param count The Count of childrens the current HotPoint will have.
+ * @param trackIDs A Pointer to an Array of ints which will hold the trackID's (the user will have to reserve space for this).
+ * @param trackNames the names for the tracks as a char-arrey-array
+ * @param trackElem The TrackElement to appy this to. (if NULL choose this->currentTrackElement)
    \see TrackManager::fork(unsigned int count, ...)
 */
@@ -770,8 +770,8 @@
 
 /**
-   \brief decides under what condition a certain Path will be chosen.
-   \param trackID the trackID to apply this to.
-   \param cond the CONDITION of the decision
-   \param subject the Subject that will be decided upon with CONDITION cond.
+ *  decides under what condition a certain Path will be chosen.
+ * @param trackID the trackID to apply this to.
+ * @param cond the CONDITION of the decision
+ * @param subject the Subject that will be decided upon with CONDITION cond.
 */
 void TrackManager::condition(unsigned int trackID, CONDITION cond, void* subject)
@@ -781,8 +781,8 @@
 
 /**
-   \brief decides under what condition a certain Path will be chosen.
-   \param cond the CONDITION of the decision
-   \param subject the Subject that will be decided upon with CONDITION cond.
-   \param trackElem The TrackElement to appy this to. (if NULL chose this->currentTrackElement)
+ *  decides under what condition a certain Path will be chosen.
+ * @param cond the CONDITION of the decision
+ * @param subject the Subject that will be decided upon with CONDITION cond.
+ * @param trackElem The TrackElement to appy this to. (if NULL chose this->currentTrackElement)
 */
 void TrackManager::condition(CONDITION cond, void* subject, TrackElement* trackElem)
@@ -823,6 +823,6 @@
 
 /**
-   \brief joins some tracks together again.
-   \param count The count of Paths to join.
+ *  joins some tracks together again.
+ * @param count The count of Paths to join.
 
    Join will set the localTime to the longest time a Path has to get to this Point. \n
@@ -844,6 +844,6 @@
 
 /**
-   \brief Joins some Tracks together again.
-   \param count The count of trackElements to join
+ *  Joins some Tracks together again.
+ * @param count The count of trackElements to join
    \see void TrackManager::join(unsigned int count, ...)
 
@@ -894,7 +894,7 @@
 
 /**
-   \brief joins some tracks together again.
-   \param count The count of Paths to join.
-   \param trackIDs an Array with the trackID's to join
+ *  joins some tracks together again.
+ * @param count The count of Paths to join.
+ * @param trackIDs an Array with the trackID's to join
 
    \see void TrackManager::join(unsigned int count, ...)
@@ -988,7 +988,7 @@
 
 /**
-   \brief finalizes the TrackSystem. after this it will not be editable anymore
-
-   \todo check for any inconsistencies, output errors
+ *  finalizes the TrackSystem. after this it will not be editable anymore
+
+   @todo check for any inconsistencies, output errors
 */
 void TrackManager::finalize()
@@ -1036,6 +1036,6 @@
 
 /**
-   \brief calculates the Position for the localTime of the Track.
-   \returns the calculated Position
+ *  calculates the Position for the localTime of the Track.
+ * @returns the calculated Position
 */
 Vector TrackManager::calcPos() const
@@ -1045,6 +1045,6 @@
 
 /**
-   \brief calculates the Rotation for the localTime of the Track.
-   \returns the calculated Rotation
+ *  calculates the Rotation for the localTime of the Track.
+ * @returns the calculated Rotation
 */
 Vector TrackManager::calcDir() const
@@ -1054,5 +1054,5 @@
 
 /**
-   \returns the current Width of the track
+ * @returns the current Width of the track
 */
 float TrackManager::getWidth() const
@@ -1062,6 +1062,6 @@
 
 /**
-   \brief Advances the local-time of the Track around dt
-   \param dt The time about which to advance.
+ *  Advances the local-time of the Track around dt
+ * @param dt The time about which to advance.
 
    This function also checks, if the TrackElement has to be changed.
@@ -1104,6 +1104,6 @@
 
 /**
-   \brief Jumps to a certain point on the Track.
-   \param time The time on the Track to jump to.
+ *  Jumps to a certain point on the Track.
+ * @param time The time on the Track to jump to.
 
    This should be used to Jump backwards on a Track, because moving forward means to change between the Path. (it then tries to choose the default.)
@@ -1125,6 +1125,6 @@
 
 /**
-   \brief a Function that decides which Path we should follow.
-   \param trackElem The Path to choose.
+ *  a Function that decides which Path we should follow.
+ * @param trackElem The Path to choose.
 
 */
@@ -1135,6 +1135,6 @@
 
 /**
-   \brief Sets the PNode, that should be moved along the Tack
-   \param bindSlave the PNode to set
+ *  Sets the PNode, that should be moved along the Tack
+ * @param bindSlave the PNode to set
 */
 void TrackManager::setBindSlave(PNode* bindSlave)
@@ -1144,5 +1144,5 @@
 
 /**
-   \returns the main TrackNode
+ * @returns the main TrackNode
 */
 PNode* TrackManager::getTrackNode()
@@ -1154,6 +1154,6 @@
 
 /**
-   \brief Imports a model of the Graph into the OpenGL-environment.
-   \param dt The Iterator used in seconds for Painting the Graph.
+ *  Imports a model of the Graph into the OpenGL-environment.
+ * @param dt The Iterator used in seconds for Painting the Graph.
 
    This is for testing facility only. Do this if you want to see the Path inside the Level.
@@ -1178,6 +1178,6 @@
 
 /**
-   \brief outputs debug information about the trackManager
-   \param level how much debug
+ *  outputs debug information about the trackManager
+ * @param level how much debug
 */
 void TrackManager::debug(unsigned int level) const
Index: orxonox/trunk/src/util/track/track_manager.h
===================================================================
--- orxonox/trunk/src/util/track/track_manager.h	(revision 4834)
+++ orxonox/trunk/src/util/track/track_manager.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file track_manager.h
-    \brief manages all tracks defined in the world and the path the player takes
+  *  manages all tracks defined in the world and the path the player takes
 
     it is a container for all tracks and all track-nodes. it manages the movement of
@@ -136,5 +136,5 @@
  public:
   virtual ~TrackManager();
-  /** \returns a Pointer to the only object of this Class */
+  /** @returns a Pointer to the only object of this Class */
   inline static TrackManager* getInstance() { if (!singletonRef) singletonRef = new TrackManager();  return singletonRef; };
 
@@ -145,5 +145,5 @@
   void workOnS(const char* trackName);
 
-  /** \see setCurveType(CurveType curveType, TrackElement* trackElem); \param curveType the type of the Curve */
+  /** \see setCurveType(CurveType curveType, TrackElement* trackElem); @param curveType the type of the Curve */
   inline void setCurveType(CurveType curveType) { this->setCurveType (curveType, this->currentTrackElem);};
   void setCurveType(CurveType curveType, TrackElement* trackElem);
Index: orxonox/trunk/src/util/track/track_node.cc
===================================================================
--- orxonox/trunk/src/util/track/track_node.cc	(revision 4834)
+++ orxonox/trunk/src/util/track/track_node.cc	(revision 4836)
@@ -26,5 +26,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 TrackNode::TrackNode ()
@@ -39,5 +39,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 */
 TrackNode::~TrackNode ()
Index: orxonox/trunk/src/util/track/track_node.h
===================================================================
--- orxonox/trunk/src/util/track/track_node.h	(revision 4834)
+++ orxonox/trunk/src/util/track/track_node.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*! 
     \file track_node.h
-    \brief Definition of the TrackNode are located here
+  *  Definition of the TrackNode are located here
     
     the TrackNode is the node, that follows the Track (and the TrackManager) 