Index: data/trunk/levels/baseq3/scripts/moonstation.shader
===================================================================
--- data/trunk/levels/baseq3/scripts/moonstation.shader	(revision 4868)
+++ data/trunk/levels/baseq3/scripts/moonstation.shader	(revision 4870)
@@ -1,21 +1,179 @@
+textures/moonstation/light_beam_green
+{
+	qer_trans 1.00
+	surfaceparm nonsolid
+	surfaceparm nolightmap
+	surfaceparm trans
+}
+
+textures/moonstation/light_beam_red
+{
+	qer_trans 1.00
+	surfaceparm nonsolid
+	surfaceparm nolightmap
+	surfaceparm trans
+}
+
+textures/moonstation/light_beam_orange
+{
+	qer_trans 1.00
+	surfaceparm nonsolid
+	surfaceparm nolightmap
+	surfaceparm trans
+}
+
+textures/moonstation/light_beam_blue_light
+{
+	qer_trans 1.00
+	surfaceparm nonsolid
+	surfaceparm nolightmap
+	surfaceparm trans
+}
+
+textures/moonstation/UCA-seal2
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/UCA-seal2_black
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/stairway_A
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/stairway_B
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/stairway_C
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/stairway_filter
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/stairway_treatment
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/lobby_elevatorhangar
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/lobby_image1
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/lobby_image2
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/lobby_image3
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/lobby_image4
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/lobby_image5
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/lobby_image6
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/lobby_image7
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/lobby_image8
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
+textures/moonstation/lobby_image9
+{
+	qer_trans 0.90
+	surfaceparm trans
+}
+
 textures/moonstation/glass_blue
+
 {
+
+ 	qer_trans 0.5
+	surfaceparm nolightmap
+
+}
+
+
+
+textures/moonstation/glass_white
+
+{
+
  	qer_trans 0.5
 	surfaceparm nolightmap
 }
 
-textures/moonstation/glass_white
-{
- 	qer_trans 0.5
-	surfaceparm nolightmap
-}
+
 
 textures/moonstation/beam_blue
+
 {
+
  	qer_trans 0.5
 	surfaceparm nolightmap
 	surfaceparm trans
+
 }
+
+
 textures/moonstation/beam_lightyellow
+{
+	surfaceparm nolightmap
+	surfaceparm trans
+
+}
+
+
+
+textures/moonstation/working_screenshot
+
 {
 	surfaceparm nolightmap
@@ -23,13 +181,12 @@
 }
 
-textures/moonstation/working_screenshot
+
+
+textures/moonstation/working_radar
+
 {
 	surfaceparm nolightmap
+
 	surfaceparm trans
+
 }
-
-textures/moonstation/working_radar
-{
-	surfaceparm nolightmap
-	surfaceparm trans
-}
Index: data/trunk/levels/baseq3/scripts/shaderlist.txt
===================================================================
--- data/trunk/levels/baseq3/scripts/shaderlist.txt	(revision 4868)
+++ data/trunk/levels/baseq3/scripts/shaderlist.txt	(revision 4870)
@@ -1,51 +1,4 @@
-//**********************************************************************//
-//	shaderlist.txt modified for Q3Radiant				//
-//	by Eutectic - 13 May 2000					//
-//                                                                      //
-//      Rev history:                                                    //
-//      08/11/2000
-//      TTimo - changed liquid to liquids and sky to skies for better   //
-//      consistency with the directories and actual shader names        //
-//									//
-//	Added the names of the new shader files created as a result	//
-//	of the cleanup of the old shader files so Q3Radiant will read	//
-//	and display all the shaders in the texture window.		//
-//									//
-//	SHADER FILE NAMES ADDED:					//
-//	base_door							//
-//	gothic_button							//
-//	gothic_door							//
-//**********************************************************************//
-
-// this file lists all the separate shader files
-base_button
-base_door
-base_floor
-base_light
-base_object
-base_support
-base_trim
-base_wall
 common
 metal
 spacestation1
 moonstation
-test1
-//ctf
-//eerie
-//gfx
-//hell
-gothic_block
-gothic_button
-gothic_door
-gothic_floor
-gothic_light
-gothic_trim
-gothic_wall
-liquids
-//menu
-//models
-organics
-sfx
-skin
-skies