Index: orxonox/branches/weaponSystem/src/story_entities/world.cc
===================================================================
--- orxonox/branches/weaponSystem/src/story_entities/world.cc	(revision 4876)
+++ orxonox/branches/weaponSystem/src/story_entities/world.cc	(revision 4877)
@@ -841,5 +841,5 @@
   while( entity != NULL )
     {
-      if( entity->bDraw ) entity->draw();
+      if( entity->isVisible() ) entity->draw();
       //entity = this->entities->nextElement();
       entity = iterator->nextElement();
Index: orxonox/branches/weaponSystem/src/util/loading/game_loader.cc
===================================================================
--- orxonox/branches/weaponSystem/src/util/loading/game_loader.cc	(revision 4876)
+++ orxonox/branches/weaponSystem/src/util/loading/game_loader.cc	(revision 4877)
@@ -19,5 +19,4 @@
 #include "campaign.h"
 #include "world.h"
-#include "player.h"
 #include "orxonox.h"
 #include "camera.h"
Index: orxonox/branches/weaponSystem/src/util/loading/game_loader.h
===================================================================
--- orxonox/branches/weaponSystem/src/util/loading/game_loader.h	(revision 4876)
+++ orxonox/branches/weaponSystem/src/util/loading/game_loader.h	(revision 4877)
@@ -1,5 +1,5 @@
 /*!
-    \file game_loader.h
-  *  loads campaigns, worlds and all other story_entities
+ * @file game_loader.h
+ *  loads campaigns, worlds and all other story_entities
 */
 
@@ -18,6 +18,4 @@
 class Campaign;
 class World;
-class Camera;
-class CammandNode;
 class Factory;
 class TiXmlElement;
Index: orxonox/branches/weaponSystem/src/world_entities/player.cc
===================================================================
--- orxonox/branches/weaponSystem/src/world_entities/player.cc	(revision 4876)
+++ orxonox/branches/weaponSystem/src/world_entities/player.cc	(revision 4877)
@@ -23,14 +23,11 @@
 
 #include "weapon_manager.h"
-#include "weapon.h"
 #include "test_gun.h"
 #include "world.h"
 
 #include "list.h"
-#include "stdincl.h"
 
 #include "event_handler.h"
 
-#include "projectile.h"
 #include "event.h"
 
@@ -41,14 +38,9 @@
 
 /**
- *  creates a new Player
+ * creates a new Player
  * @param isFree if the player is free
 */
 Player::Player()
 {
-  /*
-    this is the debug player - actualy we would have to make a new
-     class derivated from Player for each player. for now, we just use
-     the player.cc for debug also
-  */
   this->init();
 
@@ -75,5 +67,4 @@
   delete this->weaponMan;
 }
-
 
 /**
@@ -119,5 +110,5 @@
 
 /**
- *
+ * loads the Settings of a Player from an XML-element.
  * @param root the XML-element to load the Player's properties from
  */
@@ -132,5 +123,5 @@
 
 /**
- *  adds a weapon to the weapon list of player
+ * adds a weapon to the weapon list of player
  * @param weapon to add
 */
@@ -219,15 +210,10 @@
 void Player::tick (float time)
 {
-  //printf("%p\n", this);
-  //this->getRelCoor().debug();
-
-  /* link tick to weapon */
-  //this->activeWeapon->tick(time);
-  //this->activeWeaponL->tick(time); //FIX FIX DELETE REMOVE
-  this->weaponMan->tick(time);
   // player controlled movement
   this->move(time);
+
+  this->weaponMan->tick(time);
   // weapon system manipulation
-  this->weapon();
+  this->weaponAction();
 }
 
@@ -266,5 +252,5 @@
  *  weapon manipulation by the player
 */
-void Player::weapon()
+void Player::weaponAction()
 {
   if( this->bFire)
@@ -277,22 +263,4 @@
       this->bWeaponChange = false;
     }
-}
-
-
-/**
- *  The connection to the command node
- * @param cmd the Command unit from witch to map
-
-   here the commands are mapped to the players movement/weaponary
-*/
-void Player::command (Command* cmd)
-{
-  PRINTF(3)("recieved command [%s]\n", cmd->cmd);
-  if( !strcmp( cmd->cmd, CONFIG_NAME_PLAYER_UP)) this->bUp = !cmd->bUp;
-  if( !strcmp( cmd->cmd, CONFIG_NAME_PLAYER_DOWN)) this->bDown = !cmd->bUp;
-  if( !strcmp( cmd->cmd, CONFIG_NAME_PLAYER_LEFT)) this->bLeft = !cmd->bUp;
-  if( !strcmp( cmd->cmd, CONFIG_NAME_PLAYER_RIGHT)) this->bRight = !cmd->bUp;
-  if( !strcmp( cmd->cmd, CONFIG_NAME_PLAYER_FIRE)) this->bFire = !cmd->bUp;
-  if( !strcmp( cmd->cmd, CONFIG_NAME_PLAYER_NEXT_WEAPON)) if(cmd->bUp) this->bWeaponChange = !this->bWeaponChange;
 }
 
Index: orxonox/branches/weaponSystem/src/world_entities/player.h
===================================================================
--- orxonox/branches/weaponSystem/src/world_entities/player.h	(revision 4876)
+++ orxonox/branches/weaponSystem/src/world_entities/player.h	(revision 4877)
@@ -1,5 +1,5 @@
 /*!
-    \file player.h
-  *  Implements a basic controllable WorldEntity
+ * @file player.h
+ * Implements a basic controllable WorldEntity
  */
 
@@ -15,9 +15,12 @@
 class WeaponManager;
 class Vector;
-class World;
 class Event;
-class Crosshair;
 
 //! Basic controllable WorldEntity
+/**
+  *  this is the debug player - actualy we would have to make a new
+     class derivated from Player for each player. for now, we just use
+     the player.cc for debug also
+*/
 class Player : public WorldEntity, public PhysicsInterface, public EventListener
 {
@@ -43,6 +46,4 @@
     virtual void draw();
 
-    virtual void command(Command* cmd);
-
     virtual void process(const Event &event);
 
@@ -50,29 +51,22 @@
   private:
     void move(float time);
-    void weapon();
+    void weaponAction();
 
 
   private:
-    bool bUp;              //!< up button pressed.
-    bool bDown;            //!< down button pressed.
-    bool bLeft;            //!< left button pressed.
-    bool bRight;           //!< right button pressed.
-    bool bAscend;          //!< ascend button pressed.
-    bool bDescend;         //!< descend button presses.
-    bool bFire;            //!< fire button pressed.
-    bool bWeaponChange;    //!< weapon change button pressed
+    bool                  bUp;                //!< up button pressed.
+    bool                  bDown;              //!< down button pressed.
+    bool                  bLeft;              //!< left button pressed.
+    bool                  bRight;             //!< right button pressed.
+    bool                  bAscend;            //!< ascend button pressed.
+    bool                  bDescend;           //!< descend button presses.
+    bool                  bFire;              //!< fire button pressed.
+    bool                  bWeaponChange;      //!< weapon change button pressed
 
-    tList<Weapon>* weapons;//!< a list of weapon
-    Weapon* activeWeapon;  //!< the weapon that is currenty activated
-    Weapon* activeWeaponL;  //temporary -- FIX THIS
-    WeaponManager* weaponMan; //!< the weapon manager: managing a list of weapon to wepaon-slot mapping
+    WeaponManager*        weaponMan;          //!< the weapon manager: managing a list of weapon to wepaon-slot mapping
 
-    World* myWorld;        //!< reference to the world object
-
-    Vector* velocity;       //!< the velocity of the player.
-    float travelSpeed;     //!< the current speed of the player (to make soft movement)
-    float acceleration;    //!< the acceleration of the player.
-
-    Crosshair*  crosshair; //!< the crosshair of the player
+    Vector*               velocity;           //!< the velocity of the player.
+    float                 travelSpeed;        //!< the current speed of the player (to make soft movement)
+    float                 acceleration;       //!< the acceleration of the player.
 };
 
Index: orxonox/branches/weaponSystem/src/world_entities/world_entity.cc
===================================================================
--- orxonox/branches/weaponSystem/src/world_entities/world_entity.cc	(revision 4876)
+++ orxonox/branches/weaponSystem/src/world_entities/world_entity.cc	(revision 4877)
@@ -38,5 +38,5 @@
     this->loadParams(root);
 
-  this->bDraw = true;
+  this->setVisibiliy(true);
 }
 
@@ -111,23 +111,4 @@
 */
 
-
-/**
-  *  process draw function
-*/
-void WorldEntity::processDraw ()
-{
-
-}
-
-/**
- *  sets the drawable state of this entity.
- * @param bDraw TRUE if draweable, FALSE otherwise
-*/
-void WorldEntity::setDrawable (bool bDraw)
-{
-  this->bDraw = bDraw;
-}
-
-
 /**
  *  this function is called, when two entities collide
@@ -183,5 +164,4 @@
 {
 }
-
 
 /**
@@ -228,13 +208,2 @@
   glPopMatrix();
 }
-
-/**
- *  this handles incoming command messages
- * @param cmd: a pointer to the incoming Command structure
-
-   Put all code that handles Command messages here, this will mainly be called by the assigned CommandNode but can also be used
-   to send commands from one WorldEntity to another.
-*/
-void WorldEntity::command (Command* cmd)
-{
-}
Index: orxonox/branches/weaponSystem/src/world_entities/world_entity.h
===================================================================
--- orxonox/branches/weaponSystem/src/world_entities/world_entity.h	(revision 4876)
+++ orxonox/branches/weaponSystem/src/world_entities/world_entity.h	(revision 4877)
@@ -26,6 +26,4 @@
 class WorldEntity : public PNode
 {
-  friend class World;
-
  public:
   WorldEntity(const TiXmlElement* root = NULL);
@@ -35,9 +33,12 @@
   void loadModel(const char* fileName);
 
-  //void setCollision (CollisionCluster* newhull);
 
   //void addAbility(Ability* ability);
   //void removeAbility(Ability* ability);
-  void setDrawable (bool bDraw);
+
+  /** @param visibility if the Entity should be visible (been draw) */
+  void setVisibiliy (bool visibility) { this->bVisible = visibility; };
+  /** @returns true if the entity is visible, false otherwise */
+  bool isVisible() const { return this->bVisible; };
   void setCharacterAttributes(CharacterAttributes* charAttr);
   CharacterAttributes* getCharacterAttributes();
@@ -48,10 +49,8 @@
   virtual void hit (WorldEntity* weapon, Vector* loc);
   virtual void collideWith (WorldEntity* entity);
-  virtual void command (Command* cmd);
 
   /** @returns the Count of Faces on this WorldEntity */
   virtual unsigned int getFaceCount () const { if (this->model) return this->model->getFaceCount(); else return 0; };
 
-  void processDraw ();
   virtual void draw ();
   void drawBVTree(int depth, int drawMode);
@@ -59,15 +58,11 @@
 
  protected:
-  Model* model;                       //!< The model that should be loaded for this entity.
-  CharacterAttributes* charAttr;      //!< the character attributes of a world_entity
-  BVTree*             obbTree;       //!< this is the obb tree reference needed for collision detection
+  Model*                  model;            //!< The model that should be loaded for this entity.
+  CharacterAttributes*    charAttr;         //!< the character attributes of a world_entity
+  BVTree*                 obbTree;          //!< this is the obb tree reference needed for collision detection
 
  private:
-  bool bCollide;                      //!< If it should be considered for the collisiontest.
-  bool bDraw;                         //!< If it should be visible.
-
-
-
-  //CollisionCluster* collisioncluster; //!< The collision-Cluster of this entity.
+  bool                    bCollide;         //!< If it should be considered for the collisiontest.
+  bool                    bVisible;         //!< If it should be visible.
 };
 