Index: /data/trunk/levels/vertical_scroller.oxw
===================================================================
--- /data/trunk/levels/vertical_scroller.oxw	(revision 4903)
+++ /data/trunk/levels/vertical_scroller.oxw	(revision 4904)
@@ -20,6 +20,6 @@
       <name>Moon</name>
       <texture>textures/planets/pluto.png</texture>
-      <size>100</size>
-      <abs-coor>3610, 116, -656</abs-coor>
+      <size>700</size>
+      <abs-coor>6010, 116, -656</abs-coor>
       <abs-dir>0.3,0,1,0</abs-dir>
     </Planet>
@@ -28,5 +28,5 @@
       <name>Noxon01</name>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
-       <abs-coor>1156.826904, 348.867111, 719.239410</abs-coor>
+       <abs-coor>1100.826904, 400.867111, 700.239410</abs-coor>
       <abs-dir> 0.193116, -0.090633, -0.976817, 0.017918 </abs-dir>
     </ActionboxEnemy>
@@ -36,5 +36,5 @@
       <name>Noxon02</name>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
-      <abs-coor>932.626221, 154.866180, -131.888626</abs-coor>
+      <abs-coor>2434.496094, 269.581573, 519.548401</abs-coor>
       <abs-dir>  0.193116, -0.090633, -0.976817, 0.017918</abs-dir>
     </ActionboxEnemy>
@@ -44,6 +44,90 @@
       <name>Noxon03</name>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
-      <abs-coor>1154.911621, 127.052818, -38.380138</abs-coor>
-      <abs-dir> </abs-dir>
+      <abs-coor>3865.079590, 105.373840, -416.046570</abs-coor>
+    </ActionboxEnemy>
+
+    <ActionboxEnemy>
+      <name>Noxon04</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>536.923645,84.575851, 268.898102</abs-coor>
+    </ActionboxEnemy>
+
+    <ActionboxEnemy>
+      <name>Noxon05</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor> 644.799805,184.589706, 437.864044</abs-coor>
+    </ActionboxEnemy>
+
+    <ActionboxEnemy>
+      <name>Noxon06</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>793.228088,284.700226, 596.156433</abs-coor>
+    </ActionboxEnemy>
+
+    <ActionboxEnemy>
+      <name>Noxon07</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>894.347168,317.342133, 652.094543</abs-coor>
+    </ActionboxEnemy>
+
+    <ActionboxEnemy>
+      <name>Noxon08</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>2108.979980,301.262604, 613.772583</abs-coor>
+    </ActionboxEnemy>
+
+    <ActionboxEnemy>
+      <name>Noxon09</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>1008.862671,400.273285, 689.841492</abs-coor>
+    </ActionboxEnemy>
+
+    <ActionboxEnemy>
+      <name>Noxon10</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>1308.862671,270.273285, 689.841492</abs-coor>
+    </ActionboxEnemy>
+
+
+    <ActionboxEnemy>
+      <name>Noxon11</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>1307.388672,350.411499, 720.377075</abs-coor>
+    </ActionboxEnemy>
+
+    <ActionboxEnemy>
+      <name>Noxon12</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>1450.140137,347.559753, 700.013000</abs-coor>
+    </ActionboxEnemy>
+
+    <ActionboxEnemy>
+      <name>Noxon13</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>1600.255859,340.927307, 710.324158</abs-coor>
+    </ActionboxEnemy>
+
+    <ActionboxEnemy>
+      <name>Noxon14</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>2600.201172,340.927307, 461.453674 </abs-coor>
+    </ActionboxEnemy>
+
+    <ActionboxEnemy>
+      <name>Noxon15</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>2731.698730,238.283188, 461.453674 </abs-coor>
+    </ActionboxEnemy>
+.  
+    <ActionboxEnemy>
+      <name>Noxon16</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>2980.166016,238.283188, 297.935028</abs-coor>
+    </ActionboxEnemy>
+
+    <ActionboxEnemy>
+      <name>Noxon17</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>3211.986084,184.486740, 170.181870 </abs-coor>
     </ActionboxEnemy>
 
@@ -52,8 +136,7 @@
       <model>models/planets/asteroid_FA48.obj, 20</model>
       <abs-coor>1395, 185, 521</abs-coor>
-      <rotation>0,2,0</rotation>
+      <rotation>0,1,0</rotation>
       <Size>100</Size>
       <Track>
-        <!--<ActionBox>45, 25, 450, 6</ActionBox>-->
         <mode>1</mode>
         <speed>50</speed>
@@ -62,4 +145,27 @@
         <addPoint>1155, 425, 823</addPoint>
       </Track>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit01</name>
+      <model>models/planets/asteroid_FA108.obj, 20</model>
+      <abs-coor> 500.248199, 0.388530, 34.749165 </abs-coor>
+      <rotation>0,2,0</rotation>
+      <Size>100</Size>
+      <Track>
+        <mode>1</mode>
+        <speed>30</speed>
+        <addPoint>500.248199, 0.388530, 34.749165</addPoint>
+        <addPoint>-500.248199, 0.388530, 34.749165</addPoint>
+	<addPoint>-1000.248199, 0.388530, 34.749165</addPoint>
+      </Track>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit01</name>
+      <model>models/planets/asteroid_FA108.obj, 20</model>
+      <abs-coor> 500.248199, 80.388530, 200.749165 </abs-coor>
+      <rotation>0,2,0</rotation>
+      <Size>100</Size>
     </Rotor>
 
@@ -79,5 +185,5 @@
         <ActionBox>45, 25, 450, 6</ActionBox>
         <mode>1</mode>
-        <speed>30</speed>
+        <speed>40</speed>
         <addPoint>0,0,0</addPoint>
         <addPoint>219.837738, -0.605457, 37.411240</addPoint>
Index: /data/trunk/scripts/moonstation/intro.lua
===================================================================
--- /data/trunk/scripts/moonstation/intro.lua	(revision 4903)
+++ /data/trunk/scripts/moonstation/intro.lua	(revision 4904)
@@ -7,4 +7,5 @@
 thisscript:registerClass("Explosion")
 explosion = Explosion()
+explosion:setExplosionSound("sounds/explosions/explosion_6_BIG.wav")
 
 -- Initialisation
@@ -115,5 +116,6 @@
 	explosion:explode(boomSize,boomSize,boomSize)
 	boomSize = boomSize + 10
-	if boomSize == 650 then
+	if boomSize > 650 then
+		--explosion:playSound()
 		return true
 	end
Index: /data/trunk/scripts/spacestation/spaceship_tower.lua
===================================================================
--- /data/trunk/scripts/spacestation/spaceship_tower.lua	(revision 4903)
+++ /data/trunk/scripts/spacestation/spaceship_tower.lua	(revision 4904)
@@ -20,4 +20,13 @@
 triggerTwo:setRadius(70)
 --triggerTwo:setDebugDraw(true)
+
+triggerAc = ActionTrigger()
+triggerAc:setScript("spaceship_tower.lua")
+triggerAc:setFunction("action")
+triggerAc:setTarget("Player")
+triggerAc:setAbsCoor(506.862518, 35, -162.215515)
+triggerAc:setRadius(20)
+triggerAc:setDebugDraw(true)
+
 
 -- Get objects from orxonox
@@ -214,4 +223,8 @@
 end
 
+function action(timestep)
+ print("Action trigger triggered ! \n")
+ return false
+end
 
 -- THE tick function
Index: /data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4903)
+++ /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4904)
@@ -29,4 +29,5 @@
 --initialisation
 explosion = Explosion()
+explosion:setExplosionSound("sounds/explosions/explosion_6_BIG.wav")
 cameraManager:changeTarget("cameraOne","SpaceShip", "Player")
 
@@ -46,7 +47,9 @@
 	explosion:explode(boomSize,boomSize,boomSize)
 	boomSize = boomSize + 4
-	if boomSize > 150 then
+	if boomSize > 75 then
  		  triggerEndLevel:start()
 		  cameraManager:toggleFade()
+		  gameWorld:showText("We have been hit...")
+		  gameWorld:showText("Initialising emergency sequence!")
 		return true
 	end