Index: /data/trunk/levels/vertical_scroller.oxw
===================================================================
--- /data/trunk/levels/vertical_scroller.oxw	(revision 4921)
+++ /data/trunk/levels/vertical_scroller.oxw	(revision 4922)
@@ -38,5 +38,5 @@
    </NPC>
 
-
+<!--
 
        <NPC>
@@ -51,5 +51,5 @@
         </NPC>
 
-
+-->
 
 
@@ -59,4 +59,5 @@
       <name>Noxon01</name>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <list>group01</list>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -70,4 +71,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>2434.496094, 269.581573, 519.548401</abs-coor>
@@ -80,4 +82,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>3865.079590, 105.373840, -416.046570</abs-coor>
@@ -88,4 +91,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>536.923645,284.575851, 428.898102</abs-coor>
@@ -96,4 +100,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor> 644.799805,284.589706, 437.864044</abs-coor>
@@ -104,4 +109,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>793.228088,284.700226, 596.156433</abs-coor>
@@ -112,4 +118,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>894.347168,317.342133, 652.094543</abs-coor>
@@ -120,4 +127,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>2108.979980,301.262604, 613.772583</abs-coor>
@@ -127,5 +135,6 @@
       <name>Noxon09</name>
       <list>group01</list>
-       <damageable> true </damageable>
+      <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>1008.862671,400.273285, 689.841492</abs-coor>
@@ -136,4 +145,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>1308.862671,270.273285, 639.841492</abs-coor>
@@ -145,4 +155,5 @@
        <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>1307.388672,350.411499, 750.377075</abs-coor>
@@ -153,4 +164,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>1450.140137,347.559753, 700.013000</abs-coor>
@@ -161,4 +173,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>1600.255859,340.927307, 810.324158</abs-coor>
@@ -169,4 +182,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>2500.201172,340.927307, 461.453674 </abs-coor>
@@ -177,4 +191,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>2731.698730,238.283188, 461.453674 </abs-coor>
@@ -185,4 +200,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>2880.166016,238.283188, 297.935028</abs-coor>
@@ -193,4 +209,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>3011.986084,184.486740, 170.181870 </abs-coor>
@@ -202,4 +219,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>3283.429199,176.152039, 50.483566 </abs-coor>
@@ -210,8 +228,18 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>4228.668945,158.810822, -200.686630 </abs-coor>
     </ActionboxEnemy> 
 
+   <ActionboxEnemy>
+      <name>Noxon19</name>
+      <list>group01</list>
+      <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>4828.668945,158.810822, -500.686630 </abs-coor>
+    </ActionboxEnemy> 
+
 
    <ActionboxEnemy>
@@ -219,4 +247,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>3428.668945,158.810822, 10.686630 </abs-coor>
@@ -227,4 +256,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>5028.668945,158.810822, -500.686630 </abs-coor>
@@ -235,4 +265,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>5411.986084,164.486740, -600.181870 </abs-coor>
@@ -244,4 +275,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>6010, 40, -1130 </abs-coor>
@@ -252,4 +284,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>6150, 40, -1180 </abs-coor>
@@ -260,4 +293,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>5500, 40, -930 </abs-coor>
@@ -268,4 +302,5 @@
       <list>group01</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>5800, 0, -1000 </abs-coor>
@@ -365,4 +400,5 @@
       <list>group00</list>
       <damageable> true </damageable>
+      <loadHealth> 400, 400 </loadHealth>
       <model>models/spaceships/human_assf.obj, 1.5</model>
       <mountpoints>models/spaceships/human_assf.oif</mountpoints>
@@ -378,5 +414,5 @@
       <cameraFovy>90</cameraFovy>
       <Track>
-        <ActionBox>45, 25, 500, 6</ActionBox>
+        <ActionBox>30, 15, 500, 6</ActionBox>
         <mode>1</mode>
         <speed>45</speed>